Mailinglist Archive: opensuse-factory (266 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200516 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Mon, 18 May 2020 02:01:00 +0000
  • Message-id: <158976726064.5242.7128933254294045739@go-agent-stagingbot-7>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200516

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
aaa_base
btrfsprogs (5.6 -> 5.6.1)
gnome-session
gnome-shell-extensions
gpgme
gpgmeqt
grantlee5
highlight (3.56 -> 3.57)
ktexteditor (5.70.0 -> 5.70.1)
libkolabxml
libunwind
libwacom
plasma-framework
plasma5-desktop
tcsh
tracker
vim
vlc
vpnc

=== Details ===

==== aaa_base ====
Subpackages: aaa_base-extras

- move shell aliases back to main package. They don't cost anything
and it's just too annoying to not have them

==== btrfsprogs ====
Version update (5.6 -> 5.6.1)
Subpackages: btrfsprogs-udev-rules libbtrfs0

- Update to 5.6.1:
* print warning when multiple block group profiles exist, update 'fi usage'
summary, add docs to maual page explaining the situation
* build: optional support for libgcrypt or libsodium, providing hash
implementations
* updated docs

==== gnome-session ====
Subpackages: gnome-session-core gnome-session-default-session
gnome-session-lang gnome-session-wayland

- Update gnome-classic-s390-not-require-g-s-d_wacom.patch: Solve
conflict with gnome-shell-extensions-remove-gsd-XSettings.patch
(bsc#1171485).

==== gnome-shell-extensions ====
Subpackages: gnome-shell-classic gnome-shell-classic-session

- Update gnome-classic-s390-not-require-g-s-d_wacom.patch: Solve
conflict with gnome-shell-extensions-remove-gsd-XSettings.patch
(bsc#1171485).

==== gpgme ====
Subpackages: libgpgme11 libgpgmepp6 python3-gpg

- Don't delete python egg-info files (bsc#1168795)

==== gpgmeqt ====

- Don't delete python egg-info files (bsc#1168795)

==== grantlee5 ====

- Don't ignore the exit code of make test

==== highlight ====
Version update (3.56 -> 3.57)

- Update to version 3.57:
* Added support for Haml (gl#saalen/highlight#140).
* Added support for Wren.
* Added Lua function `OverrideParam`.
* Fixed regression in xterm256 or truecolor output
(gl#saalen/highlight#152).
* Fixed `--list-scripts` with read-only language definitions
(gl#saalen/highlight#154).
* Improved several language definitions.

==== ktexteditor ====
Version update (5.70.0 -> 5.70.1)
Subpackages: ktexteditor-lang

- Update to 5.70.1
* Revert "Store and fetch complete view config in and from
session config" (kde#421375)

==== libkolabxml ====

- Disable mono bindings by default, broken with latest mono changes
in TW and not used by anything currently
- Remove more obsolete conditions.

==== libunwind ====

- Fix compilation with -fno-common [bsc#1171549]
- Add patch libunwind_U_dyn_info_list.patch

==== libwacom ====
Subpackages: libwacom-data libwacom2

- use %{_udevrulesdir}, %{_libexecdir} now expands to /usr/libexec

==== plasma-framework ====
Subpackages: libKF5Plasma5 plasma-framework-components plasma-framework-lang

- Add Avoid-potential-disconnect-of-all-signals-in-IconItem.patch
to fix a possible crash of plasmashell (boo#1171641, kde#421170)

==== plasma5-desktop ====
Subpackages: plasma5-desktop-emojier plasma5-desktop-lang

- Leap 15.2 also has ibus-dict-emoji

==== tcsh ====
Subpackages: tcsh-lang

- Better support of Midnight Commander (bsc#1170527)
* Do avoid locked mc/tcsh pair each waiting on the other

==== tracker ====
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Add tracker-ontology-upgrades.patch: libtracker-data: Improve
changes over single valued ontology properties (boo#1170587).

==== vim ====
Subpackages: gvim vim-data vim-data-common

- introduce vim-small package with reduced requirements for small
installations.
- BuildRequire pkg-config(krb5) instead of krb5-mini to be able to
build against Tumbleweed repo

==== vlc ====
Subpackages: libvlc5 libvlccore9 vlc-codec-gstreamer vlc-lang vlc-noX vlc-qt
vlc-vdpau

- BuildRequires pkgconfig(libprojectM) on Leap 15.2

==== vpnc ====

- %{_libexecdir} now expands to /usr/libexec, so do not use it
where /usr/lib was intended; use %{_tmpfilesdir} in this case
instead


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages